aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Larson <chris_larson@mentor.com>2010-10-27 17:35:45 -0700
committerChris Larson <chris_larson@mentor.com>2010-11-02 18:39:03 -0700
commitc575ee87388a5bb679293b54a00bb784efbfab92 (patch)
tree65397221732f56b6f81ebe973f9a7ae7ba2b4212
parenta6885693d3685f595e307c79e9925893fb9f8a0d (diff)
downloadopenembedded-kergoth/autotools.zip
openembedded-kergoth/autotools.tar.gz
openembedded-kergoth/autotools.tar.bz2
gnu-configize fixupskergoth/autotools
Signed-off-by: Chris Larson <chris_larson@mentor.com>
-rw-r--r--recipes/binutils/binutils.inc8
-rw-r--r--recipes/binutils/binutils_2.14.90.0.6.bb9
-rw-r--r--recipes/binutils/binutils_2.14.90.0.7.bb9
-rw-r--r--recipes/binutils/binutils_2.15.94.0.1.bb9
-rw-r--r--recipes/binutils/binutils_2.16.91.0.6.bb9
-rw-r--r--recipes/binutils/binutils_2.16.91.0.7.bb9
-rw-r--r--recipes/binutils/binutils_2.17.50.0.1.bb9
-rw-r--r--recipes/binutils/binutils_csl-arm-20050416.bb9
-rw-r--r--recipes/binutils/binutils_csl-arm-20050603.bb9
-rw-r--r--recipes/db/db4.inc7
-rw-r--r--recipes/db/db5.inc7
-rw-r--r--recipes/desktop-file-utils/desktop-file-utils_0.16.bb5
-rw-r--r--recipes/eglibc/eglibc-initial.inc2
-rw-r--r--recipes/eglibc/eglibc_2.10.bb7
-rw-r--r--recipes/eglibc/eglibc_2.11.bb7
-rw-r--r--recipes/eglibc/eglibc_2.12.bb7
-rw-r--r--recipes/eglibc/eglibc_2.9.bb7
-rw-r--r--recipes/eglibc/eglibc_svn.bb7
-rw-r--r--recipes/gcc/gcc-configure-canadian-sdk.inc4
-rw-r--r--recipes/gcc/gcc-configure-common.inc4
-rw-r--r--recipes/gcc/gcc-configure-sdk.inc3
-rw-r--r--recipes/gdb/gdb-canadian-cross.inc5
-rw-r--r--recipes/gdb/gdb-cross.inc5
-rw-r--r--recipes/gdb/gdb.inc6
-rw-r--r--recipes/gdb/gdbserver.inc4
-rw-r--r--recipes/glibc/glibc_2.10.1.bb11
-rw-r--r--recipes/glibc/glibc_2.2.5.bb11
-rw-r--r--recipes/glibc/glibc_2.3.2.bb11
-rw-r--r--recipes/glibc/glibc_2.3.3.bb11
-rw-r--r--recipes/glibc/glibc_2.3.5+cvs20050627.bb7
-rw-r--r--recipes/glibc/glibc_2.5.bb7
-rw-r--r--recipes/glibc/glibc_2.6.1.bb7
-rw-r--r--recipes/glibc/glibc_2.9.bb7
-rw-r--r--recipes/glibc/glibc_cvs.bb7
-rw-r--r--recipes/libffi/libffi_2.0+gcc3.4.1.bb7
-rw-r--r--recipes/libffi/libffi_2.0+gcc4.3.2.bb8
36 files changed, 88 insertions, 173 deletions
diff --git a/recipes/binutils/binutils.inc b/recipes/binutils/binutils.inc
index ab9e457..633cce5 100644
--- a/recipes/binutils/binutils.inc
+++ b/recipes/binutils/binutils.inc
@@ -7,7 +7,7 @@ INC_PR = "r13"
COMPATIBLE_TARGET_SYS ?= "(?!nios2)"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES += "${PN}-symlinks"
@@ -68,13 +68,11 @@ export CPP_FOR_BUILD = "${BUILD_CPP}"
export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
-
# Fix for issues when system's texinfo version >= 4.10
# (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)
sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '${S}/configure'
- oe_runconf
+ autotools_base_do_configure
#
# must prime config.cache to ensure the build of libiberty
#
@@ -85,7 +83,7 @@ do_configure () {
}
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.14.90.0.6.bb b/recipes/binutils/binutils_2.14.90.0.6.bb
index ce09593..f32b321 100644
--- a/recipes/binutils/binutils_2.14.90.0.6.bb
+++ b/recipes/binutils/binutils_2.14.90.0.6.bb
@@ -1,6 +1,6 @@
SECTION = "devel"
LICENSE = "GPL"
-inherit autotools gettext
+inherit autotools_base gettext
INC_PR = "r5"
PR = "${INC_PR}.1"
@@ -82,13 +82,8 @@ export CC_FOR_BUILD = "${BUILD_CC}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.14.90.0.7.bb b/recipes/binutils/binutils_2.14.90.0.7.bb
index fb056b0..d3219e0 100644
--- a/recipes/binutils/binutils_2.14.90.0.7.bb
+++ b/recipes/binutils/binutils_2.14.90.0.7.bb
@@ -1,6 +1,6 @@
SECTION = "devel"
LICENSE = "GPL"
-inherit autotools gettext
+inherit autotools_base gettext
DESCRIPTION = "A GNU collection of binary utilities"
HOMEPAGE = "http://www.gnu.org/software/binutils/"
@@ -83,13 +83,8 @@ export CC_FOR_BUILD = "${BUILD_CC}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.15.94.0.1.bb b/recipes/binutils/binutils_2.15.94.0.1.bb
index 50ae288..92ef2eb 100644
--- a/recipes/binutils/binutils_2.15.94.0.1.bb
+++ b/recipes/binutils/binutils_2.15.94.0.1.bb
@@ -5,7 +5,7 @@ LICENSE = "GPL"
INC_PR = "r5"
PR = "${INC_PR}.1"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES = "${PN} ${PN}-dev ${PN}-doc ${PN}-symlinks"
@@ -79,13 +79,8 @@ export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.16.91.0.6.bb b/recipes/binutils/binutils_2.16.91.0.6.bb
index 5fc05a0..41170fd 100644
--- a/recipes/binutils/binutils_2.16.91.0.6.bb
+++ b/recipes/binutils/binutils_2.16.91.0.6.bb
@@ -10,7 +10,7 @@ PR = "${INC_PR}.1"
DEFAULT_PREFERENCE = "-1"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES = "${PN} ${PN}-dev ${PN}-doc ${PN}-symlinks"
@@ -84,13 +84,8 @@ export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.16.91.0.7.bb b/recipes/binutils/binutils_2.16.91.0.7.bb
index 21e7fb2..eefcd3b 100644
--- a/recipes/binutils/binutils_2.16.91.0.7.bb
+++ b/recipes/binutils/binutils_2.16.91.0.7.bb
@@ -6,7 +6,7 @@ DEFAULT_PREFERENCE = "-1"
INC_PR = "r5"
PR = "${INC_PR}.1"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES = "${PN} ${PN}-dev ${PN}-doc ${PN}-symlinks"
@@ -80,13 +80,8 @@ export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_2.17.50.0.1.bb b/recipes/binutils/binutils_2.17.50.0.1.bb
index 9a42484..c750399 100644
--- a/recipes/binutils/binutils_2.17.50.0.1.bb
+++ b/recipes/binutils/binutils_2.17.50.0.1.bb
@@ -5,7 +5,7 @@ LICENSE = "GPL"
DEFAULT_PREFERENCE = "-1"
PR = "r2"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES = "${PN} ${PN}-dev ${PN}-doc ${PN}-symlinks"
@@ -79,13 +79,8 @@ export CFLAGS_FOR_BUILD = "${BUILD_CFLAGS}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc ${HOST_CC_ARCH}"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_csl-arm-20050416.bb b/recipes/binutils/binutils_csl-arm-20050416.bb
index 71803d1..d9e2297 100644
--- a/recipes/binutils/binutils_csl-arm-20050416.bb
+++ b/recipes/binutils/binutils_csl-arm-20050416.bb
@@ -1,5 +1,5 @@
SECTION = "devel"
-inherit autotools gettext
+inherit autotools_base gettext
DESCRIPTION = "A GNU collection of binary utilities"
HOMEPAGE = "http://www.gnu.org/software/binutils/"
@@ -78,13 +78,8 @@ export CC_FOR_BUILD = "${BUILD_CC}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/binutils/binutils_csl-arm-20050603.bb b/recipes/binutils/binutils_csl-arm-20050603.bb
index 50e8677..abacd75 100644
--- a/recipes/binutils/binutils_csl-arm-20050603.bb
+++ b/recipes/binutils/binutils_csl-arm-20050603.bb
@@ -1,5 +1,5 @@
SECTION = "devel"
-inherit autotools gettext
+inherit autotools_base gettext
DESCRIPTION = "A GNU collection of binary utilities"
HOMEPAGE = "http://www.gnu.org/software/binutils/"
@@ -78,13 +78,8 @@ export CC_FOR_BUILD = "${BUILD_CC}"
export CC = "${CCACHE} ${HOST_PREFIX}gcc"
-do_configure () {
- (cd ${S}; gnu-configize) || die "Failed to run gnu-configize"
- oe_runconf
-}
-
do_install () {
- autotools_do_install
+ autotools_base_do_install
# We don't really need these, so we'll remove them...
rm -rf ${D}${libdir}/ldscripts
diff --git a/recipes/db/db4.inc b/recipes/db/db4.inc
index 2595d81..c704991 100644
--- a/recipes/db/db4.inc
+++ b/recipes/db/db4.inc
@@ -19,7 +19,7 @@ CONFLICTS = "db3"
SRC_URI = "ftp://ftp.freebsd.org/pub/FreeBSD/distfiles/bdb/db-${PV}.tar.gz"
-inherit autotools
+inherit autotools_base
# Put virtual/db in any appropriate provider of a
# relational database, use it as a dependency in
@@ -65,11 +65,6 @@ EXTRA_OECONF += "${MUTEX}"
# Cancel the site stuff - it's set for db3 and destroys the
# configure.
CONFIG_SITE = ""
-do_configure() {
- ( cd ${WORKDIR}/db-${PV}/dist ; gnu-configize )
- oe_runconf
-}
-
do_install_append() {
# The docs end up in /usr/docs - not right.
diff --git a/recipes/db/db5.inc b/recipes/db/db5.inc
index 1aeee49..5532110 100644
--- a/recipes/db/db5.inc
+++ b/recipes/db/db5.inc
@@ -19,7 +19,7 @@ CONFLICTS = "db3 db4"
SRC_URI = "ftp://ftp.freebsd.org/pub/FreeBSD/distfiles/bdb/db-${PV}.tar.gz"
-inherit autotools
+inherit autotools_base
# Put virtual/db in any appropriate provider of a
# relational database, use it as a dependency in
@@ -65,11 +65,6 @@ EXTRA_OECONF += "${MUTEX}"
# Cancel the site stuff - it's set for db3 and destroys the
# configure.
CONFIG_SITE = ""
-do_configure() {
- ( cd ${WORKDIR}/db-${PV}/dist ; gnu-configize )
- oe_runconf
-}
-
do_install_append() {
# The docs end up in /usr/docs - not right.
diff --git a/recipes/desktop-file-utils/desktop-file-utils_0.16.bb b/recipes/desktop-file-utils/desktop-file-utils_0.16.bb
index 9a2ffc3..0c8b49e 100644
--- a/recipes/desktop-file-utils/desktop-file-utils_0.16.bb
+++ b/recipes/desktop-file-utils/desktop-file-utils_0.16.bb
@@ -12,3 +12,8 @@ SRC_URI[archive.sha256sum] = "7960be4bf7aa4b4698e8ea333cfa0bbfa7a169029e85d6a8b5
inherit autotools
BBCLASSEXTEND = "native"
+
+do_configure () {
+ install -d ${S}/m4
+ autotools_do_configure
+}
diff --git a/recipes/eglibc/eglibc-initial.inc b/recipes/eglibc/eglibc-initial.inc
index 2a68fd6..4aaf8fb 100644
--- a/recipes/eglibc/eglibc-initial.inc
+++ b/recipes/eglibc/eglibc-initial.inc
@@ -8,7 +8,7 @@ PACKAGES_DYNAMIC = ""
do_configure () {
sed -ie 's,{ (exit 1); exit 1; }; },{ (exit 0); }; },g' ${S}/configure
chmod +x ${S}/configure
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
+ (cd ${S} && gnu_configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
${S}/configure --host=${TARGET_SYS} --build=${BUILD_SYS} \
--prefix=/usr \
diff --git a/recipes/eglibc/eglibc_2.10.bb b/recipes/eglibc/eglibc_2.10.bb
index 1eab7eb..da8aa1f 100644
--- a/recipes/eglibc/eglibc_2.10.bb
+++ b/recipes/eglibc/eglibc_2.10.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.11.bb b/recipes/eglibc/eglibc_2.11.bb
index 3763124..522f079 100644
--- a/recipes/eglibc/eglibc_2.11.bb
+++ b/recipes/eglibc/eglibc_2.11.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.12.bb b/recipes/eglibc/eglibc_2.12.bb
index 40ab65c..698c7bb 100644
--- a/recipes/eglibc/eglibc_2.12.bb
+++ b/recipes/eglibc/eglibc_2.12.bb
@@ -71,13 +71,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.9.bb b/recipes/eglibc/eglibc_2.9.bb
index c06345e..9693621 100644
--- a/recipes/eglibc/eglibc_2.9.bb
+++ b/recipes/eglibc/eglibc_2.9.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_svn.bb b/recipes/eglibc/eglibc_svn.bb
index df2f0fc..208780f 100644
--- a/recipes/eglibc/eglibc_svn.bb
+++ b/recipes/eglibc/eglibc_svn.bb
@@ -68,13 +68,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/gcc/gcc-configure-canadian-sdk.inc b/recipes/gcc/gcc-configure-canadian-sdk.inc
index 5e27358..290f696 100644
--- a/recipes/gcc/gcc-configure-canadian-sdk.inc
+++ b/recipes/gcc/gcc-configure-canadian-sdk.inc
@@ -78,8 +78,8 @@ do_configure () {
sed -i 's/^\(HOST_PPLLIBS =\) \(.*\)$/\1 -Wl,-Bstatic \2 -Wl,-Bdynamic/' ${S}/Makefile.in
sed -i 's/^\(HOST_LIBELFLIBS =\) \(.*\)$/\1 -Wl,-Bstatic \2 -Wl,-Bdynamic/' ${S}/Makefile.tpl
sed -i 's/^\(HOST_LIBELFLIBS =\) \(.*\)$/\1 -Wl,-Bstatic \2 -Wl,-Bdynamic/' ${S}/Makefile.in
- (cd ${S} && gnu-configize) || die "failure running gnu-configize"
- (cd ${S}/libstdc++-v3 && autoreconf)
+ gnu_configize
+ (cd ${S}/libstdc++-v3 && oe_autoreconf)
canadian_sdk_runconf
}
diff --git a/recipes/gcc/gcc-configure-common.inc b/recipes/gcc/gcc-configure-common.inc
index fe0d32d..03f338d 100644
--- a/recipes/gcc/gcc-configure-common.inc
+++ b/recipes/gcc/gcc-configure-common.inc
@@ -92,8 +92,6 @@ do_configure () {
sed -i 's/^LDFLAGS = $/LDFLAGS = @LDFLAGS@/' ${S}/Makefile.in
sed -i 's/^LDFLAGS = $/LDFLAGS = @LDFLAGS@/' ${S}/Makefile.tpl
- (cd ${S} && gnu-configize) || die "failure running gnu-configize"
-
if [ "${HOST_SYS}" != "${TARGET_SYS}" ]; then
# splice our idea of where the headers live into gcc's world
echo "NATIVE_SYSTEM_HEADER_DIR = ${target_includedir}" > ${T}/t-oe
@@ -107,7 +105,7 @@ do_configure () {
mv ${S}/gcc/defaults.h.new ${S}/gcc/defaults.h
fi
- oe_runconf
+ autotools_base_do_configure
# make sure that no @LDFLAG@ is left in the generated Makefile
sed -i "s/@LDFLAGS@//g" ${B}/Makefile
diff --git a/recipes/gcc/gcc-configure-sdk.inc b/recipes/gcc/gcc-configure-sdk.inc
index c8fae11..cb5e53b 100644
--- a/recipes/gcc/gcc-configure-sdk.inc
+++ b/recipes/gcc/gcc-configure-sdk.inc
@@ -43,8 +43,7 @@ do_configure () {
sed -i 's/^\(HOST_LIBELFLIBS =\) \(.*\)$/\1 -Wl,-Bstatic \2 -Wl,-Bdynamic/' ${S}/Makefile.tpl
sed -i 's/^\(HOST_LIBELFLIBS =\) \(.*\)$/\1 -Wl,-Bstatic \2 -Wl,-Bdynamic/' ${S}/Makefile.in
- (cd ${S} && gnu-configize) || die "failure running gnu-configize"
- oe_runconf
+ autotools_base_do_configure
}
do_compile () {
diff --git a/recipes/gdb/gdb-canadian-cross.inc b/recipes/gdb/gdb-canadian-cross.inc
index f472b53..ffa77da 100644
--- a/recipes/gdb/gdb-canadian-cross.inc
+++ b/recipes/gdb/gdb-canadian-cross.inc
@@ -7,12 +7,9 @@ EXTRA_OEMAKE = "'SUBDIRS=intl mmalloc libiberty opcodes bfd sim gdb etc utils' L
do_configure () {
# override this function to avoid the autoconf/automake/aclocal/autoheader
# calls for now
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
-
# Fix for issues when system's texinfo version >= 4.10
# (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)
sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '${S}/configure'
-
- oe_runconf
+ autotools_base_do_configure
}
diff --git a/recipes/gdb/gdb-cross.inc b/recipes/gdb/gdb-cross.inc
index 953573b..5a9490a 100644
--- a/recipes/gdb/gdb-cross.inc
+++ b/recipes/gdb/gdb-cross.inc
@@ -11,14 +11,11 @@ EXTRA_OECONF = "--with-curses --with-readline"
do_configure () {
# override this function to avoid the autoconf/automake/aclocal/autoheader
# calls for now
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
-
# Fix for issues when system's texinfo version >= 4.10
# (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)
sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '${S}/configure'
-
- oe_runconf
+ autotools_base_do_configure
}
inherit cross
diff --git a/recipes/gdb/gdb.inc b/recipes/gdb/gdb.inc
index f75b3b2..3cfea9d 100644
--- a/recipes/gdb/gdb.inc
+++ b/recipes/gdb/gdb.inc
@@ -30,15 +30,11 @@ LDFLAGS_append = " -s"
export CFLAGS_append=" -L${STAGING_LIBDIR}"
do_configure () {
- # override this function to avoid the autoconf/automake/aclocal/autoheader
- # calls for now
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
-
# Remove duplicate spaces to work around configure complaining about
# changed LDFLAGS.
LDFLAGS=$(echo "${LDFLAGS}" | sed "s/ / /")
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
do_install () {
diff --git a/recipes/gdb/gdbserver.inc b/recipes/gdb/gdbserver.inc
index a976000..a6493cc 100644
--- a/recipes/gdb/gdbserver.inc
+++ b/recipes/gdb/gdbserver.inc
@@ -31,8 +31,8 @@ export CFLAGS_append=" -L${STAGING_LIBDIR}"
do_configure () {
# override this function to avoid the autoconf/automake/aclocal/autoheader
# calls for now
- (cd ${S}/gdb/gdbserver && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_rungdbserverconf
+ gnu_configize
+ CPPFLAGS="" oe_rungdbserverconf
}
do_install () {
diff --git a/recipes/glibc/glibc_2.10.1.bb b/recipes/glibc/glibc_2.10.1.bb
index b29e36a..dc37f54 100644
--- a/recipes/glibc/glibc_2.10.1.bb
+++ b/recipes/glibc/glibc_2.10.1.bb
@@ -126,12 +126,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
- exit 1
- fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
+ exit 1
+ fi
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.2.5.bb b/recipes/glibc/glibc_2.2.5.bb
index 8622950..aa8d003 100644
--- a/recipes/glibc/glibc_2.2.5.bb
+++ b/recipes/glibc/glibc_2.2.5.bb
@@ -131,12 +131,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
- exit 1
- fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
+ exit 1
+ fi
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.3.2.bb b/recipes/glibc/glibc_2.3.2.bb
index 632df5b..71820f7 100644
--- a/recipes/glibc/glibc_2.3.2.bb
+++ b/recipes/glibc/glibc_2.3.2.bb
@@ -135,12 +135,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
- exit 1
- fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
+ exit 1
+ fi
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.3.3.bb b/recipes/glibc/glibc_2.3.3.bb
index 6e0ed6b..a782119 100644
--- a/recipes/glibc/glibc_2.3.3.bb
+++ b/recipes/glibc/glibc_2.3.3.bb
@@ -80,12 +80,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
- exit 1
- fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
+ exit 1
+ fi
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.3.5+cvs20050627.bb b/recipes/glibc/glibc_2.3.5+cvs20050627.bb
index 2124453..ace5a87 100644
--- a/recipes/glibc/glibc_2.3.5+cvs20050627.bb
+++ b/recipes/glibc/glibc_2.3.5+cvs20050627.bb
@@ -108,12 +108,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.5.bb b/recipes/glibc/glibc_2.5.bb
index cb3b547..3d15ba9 100644
--- a/recipes/glibc/glibc_2.5.bb
+++ b/recipes/glibc/glibc_2.5.bb
@@ -132,12 +132,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.6.1.bb b/recipes/glibc/glibc_2.6.1.bb
index 8acfeff..af7fce5 100644
--- a/recipes/glibc/glibc_2.6.1.bb
+++ b/recipes/glibc/glibc_2.6.1.bb
@@ -134,12 +134,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_2.9.bb b/recipes/glibc/glibc_2.9.bb
index 1d7fad8..e42d533 100644
--- a/recipes/glibc/glibc_2.9.bb
+++ b/recipes/glibc/glibc_2.9.bb
@@ -136,12 +136,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/glibc/glibc_cvs.bb b/recipes/glibc/glibc_cvs.bb
index 1c7a785..e5e6818 100644
--- a/recipes/glibc/glibc_cvs.bb
+++ b/recipes/glibc/glibc_cvs.bb
@@ -78,12 +78,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/libffi/libffi_2.0+gcc3.4.1.bb b/recipes/libffi/libffi_2.0+gcc3.4.1.bb
index ceb46b1..a392b35 100644
--- a/recipes/libffi/libffi_2.0+gcc3.4.1.bb
+++ b/recipes/libffi/libffi_2.0+gcc3.4.1.bb
@@ -4,7 +4,7 @@ LICENSE = "libffi"
PRIORITY = "optional"
PR = "r1"
-inherit autotools gettext
+inherit autotools_base gettext
PACKAGES = "${PN}-dbg ${PN} ${PN}-dev"
@@ -43,11 +43,6 @@ EXTRA_OECONF = "--with-gnu-ld \
EXTRA_OECONF_PATHS = "--with-local-prefix=${prefix}/local \
--with-gxx-include-dir=${includedir}/c++/${PV}"
-do_configure () {
- (cd ${S}/.. && gnu-configize) || die "failure running gnu-configize"
- oe_runconf
-}
-
do_install_append() {
# follow debian and move this to $includedir
mv ${D}${libdir}/gcc/${TARGET_SYS}/${GCC_VER}/include/libffi/ffitarget.h ${D}${includedir}/
diff --git a/recipes/libffi/libffi_2.0+gcc4.3.2.bb b/recipes/libffi/libffi_2.0+gcc4.3.2.bb
index 1694ce4..eb09f78 100644
--- a/recipes/libffi/libffi_2.0+gcc4.3.2.bb
+++ b/recipes/libffi/libffi_2.0+gcc4.3.2.bb
@@ -4,7 +4,7 @@ DESCRIPTION = "Foreign Function Interface library"
LICENSE = "libffi"
PRIORITY = "optional"
-inherit autotools gettext
+inherit autotools_base gettext
PR = "r1"
@@ -57,12 +57,6 @@ EXTRA_OECONF_FPU = "${@get_gcc_fpu_setting(bb, d)}"
TARGET_CC_ARCH_append_armv6 = " -D__SOFTFP__"
TARGET_CC_ARCH_append_armv7a = " -D__SOFTFP__"
-
-do_configure () {
- (cd ${S}/.. && gnu-configize) || die "failure running gnu-configize"
- oe_runconf
-}
-
do_install_append() {
install_libffi_headers
}